
/* ---- reset ---- */

html {
  box-sizing: border-box;
  font-family: 'Roboto', sans-serif;
}
*, *:before, *:after {
  box-sizing: inherit;
}

body {
  margin: 0;
  padding: 0;
  background-image: url("../images/bg-body.png");
  background-size: 100%;
}

.wrapper {
  overflow: hidden;
}

/* ---- typography ---- */

body {
  color: #111;
  font-family: 'Nova Round', cursive;
  font-size: 16px;
  line-height: 147%;
}

h1 {
  align-self: center;
}

p {
  margin: 0;
  align-self: center;
}

/* ---- layout ---- */

#site-header {
  padding: 30px 0;
  color: white;
  background: #111;
}

#site-footer {
  color: white;
  padding: 60px 0;
  background: #111;
}

#site-main {
  margin-bottom: 60px;
}

.container {
  display: flex;
  justify-content: center;
  flex-direction: column;
  margin: 0 auto;
  max-width: 400px;
  height: 700px;
  background: url('../images/bg-gamescreen.gif');
  background-position: bottom;
}

#rules {
  display: flex;
  justify-content: center;
  flex-direction: column;
  background-image: url('../images/bg-rules.png');
  margin: 0 auto;
  max-width: 400px;
  height: 700px;
  font-family: 'Nova Round', cursive;
  color: #3f3844;
}

#rules section {
  background-image: none;
  max-width: 100%;
  height: auto;
  padding: 5px;
}

#rules h1 {
  width: 400px;
  text-align: center;
  font-size: 3rem;

}

#rules p{
  padding: 5px;
  width: 400px;
  text-align: center;
}

#rules p span{
  width: 400px;
  font-size: 1.3rem;
  font-weight: bold;
}

.game-screen {
  margin: auto;
  padding: auto;
  height: 700px;
  width: 400px;
  background: url('../images/bg-level1.png');
  background-size: 400px 700px;
  background-position: bottom;
}

#initialSplash {
  background: url('../images/bg-gamescreen.png');
}

.info-text {
  display: flex;
  justify-content: space-around;
}

.score-text{
  align-self: flex-start;
}
.score-num {
  align-self: center;
}

.level-text {
  align-self: flex-end;
}
.level-num {
  align-self: flex-end;
}

#button-on-mobile {
  margin: -140px 0;
  position: relative;
  display: block;;
  z-index: 10;
}

#button-on-mobile button {
  padding: 50px;
  width: 45%;
  background: transparent;
  border: none !important;
  font-size:0;
  outline:none;
}

#logo {
  width: 256px;
  align-self: center;
  margin-top: -280px;
}



/*@media (min-width: 768px) {
  .container {
    max-width: 400px;
    margin: 0 auto;
  }
}
*/

#imageDemoSprite {
  height: 94px;
  width: 46px;
  background: url("../images/sprite-pj.png") 0px 0px;
}

#bern{
    width:46px;
    height:94px;
    margin:auto;   
    background: red;/* Temporal, sólo para guiarnos */
  
}



/* ---- components ---- */ 

button {
  align-self: center;
  border-radius: 4px;
  background-color: rgb(255, 195, 66);
  border: none;
  color: #3f3844;
  text-align: center;
  font-size: 24px;
  width: 150px;
  transition: all 0.5s;
  cursor: pointer;
  margin: 7px;
  padding: 5px;
  font-family: 'Nova Round', cursive;
  
}

button span {
  cursor: pointer;
  display: inline-block;
  position: relative;
  transition: 0.5s;
}

button span:after {
  content: '\00bb';
  position: absolute;
  opacity: 0;
  top: 0;
  right: -20px;
  transition: 0.5s;
}
button:hover {
  box-shadow: 0 12px 16px 0 rgba(0,0,0,0.24), 0 17px 50px 0 rgba(0,0,0,0.19);
}

button:hover span {
  padding-right: 25px;
  
}

button:hover span:after {
  opacity: 1;
  right: 0;
}


.button-alt {
  color: blue;
  background-color: #fff;
}

/* ---- section ---- */

canvas {
  background-image: url("../images/");
}